GroupByTestInterface (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.functional

## Interface GroupByTestInterface

- All Known Implementing Classes:
    GroupByTestImpl, PdxGroupByTestImpl

      public interface GroupByTestInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testAggregateFuncAvg()`
    `void` | `testAggregateFuncAvgDistinct()`
    `void` | `testAggregateFuncCountDistinctStar_1()`
    `void` | `testAggregateFuncCountDistinctStar_2()`
    `void` | `testAggregateFuncCountStar()`
    `void` | `testAggregateFuncMax()`
    `void` | `testAggregateFuncMin()`
    `void` | `testAggregateFuncNoGroupBy()`
    `void` | `testAggregateFuncSum()`
    `void` | `testAggregateFuncSumDistinct()`
    `void` | `testAggregateFuncWithOrderBy()`
    `void` | `testCompactRangeIndex()`
    `void` | `testComplexValueAggregateFuncAvgDistinct()`
    `void` | `testConvertibleGroupByQuery_1()`
    `void` | `testConvertibleGroupByQuery_refer_column_alias_Bug520141()`
    `void` | `testConvertibleGroupByQuery_refer_column()`
    `void` | `testDistinctCountWithoutGroupBy()`
    `void` | `testLimitWithGroupBy()`
    `void` | `testSumWithMultiColumnGroupBy()`

- - ### Method Detail

    - #### testConvertibleGroupByQuery_1

          void testConvertibleGroupByQuery_1()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testConvertibleGroupByQuery_refer_column

          void testConvertibleGroupByQuery_refer_column()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testConvertibleGroupByQuery_refer_column_alias_Bug520141

          void testConvertibleGroupByQuery_refer_column_alias_Bug520141()
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncCountStar

          void testAggregateFuncCountStar()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncCountDistinctStar_1

          void testAggregateFuncCountDistinctStar_1()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncCountDistinctStar_2

          void testAggregateFuncCountDistinctStar_2()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncSum

          void testAggregateFuncSum()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncSumDistinct

          void testAggregateFuncSumDistinct()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncNoGroupBy

          void testAggregateFuncNoGroupBy()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncAvg

          void testAggregateFuncAvg()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncAvgDistinct

          void testAggregateFuncAvgDistinct()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncWithOrderBy

          void testAggregateFuncWithOrderBy()
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testComplexValueAggregateFuncAvgDistinct

          void testComplexValueAggregateFuncAvgDistinct()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncMax

          void testAggregateFuncMax()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSumWithMultiColumnGroupBy

          void testSumWithMultiColumnGroupBy()
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testAggregateFuncMin

          void testAggregateFuncMin()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCompactRangeIndex

          void testCompactRangeIndex()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testDistinctCountWithoutGroupBy

          void testDistinctCountWithoutGroupBy()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testLimitWithGroupBy

          void testLimitWithGroupBy()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`